/*
 * @Date: 2022-01-19 10:08:26
 * @LastEditors: JinxChen
 * @LastEditTime: 2022-02-23 17:36:30
 * @FilePath: \AlipayFrontEnd\src\router\index.js
 * @description:
 */
import Vue from "vue";
import VueRouter from "vue-router";
import Nprogress from "nprogress";
import "nprogress/nprogress.css";

Vue.use(VueRouter);

const routes = [
    { path: '/', redirect: 'index' },
    { path: '/index', name: 'index', component: resolve => require(['@/views/AliPayIndex'], resolve) },
    { path: '/form', name: 'form', component: resolve => require(['@/views/AliPayForm'], resolve) },
    { path: '/redirect', name: 'redirect', component: resolve => require(['@/views/AliPayRedirect'], resolve) },
    { path: '/result', name: 'result', component: resolve => require(['@/views/AliPayResult'], resolve) },
    { path: '/404', name: 'page-not-found', component: resolve => require(['@/views/page-not-found/index'], resolve) },

];

const router = new VueRouter({
  mode: "history",
  base: process.env.BASE_URL,
  routes,
});
router.beforeEach((to, form, next) => {
    Nprogress.start();
    next();
});
router.afterEach(() => {
    Nprogress.done();
});

export default router;
